"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_release_items_add_method = require("./method.js");
const ME_release_items_add_model = require("./model.js");
const common_libraries_getPageConfig = require("../../../common/libraries/getPageConfig.js");
const gen_Enums = require("../../../gen/Enums.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/userUserLogin.js");
require("../../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_input2 = common_vendor.resolveComponent("hs-input");
  const _easycom_hs_radio2 = common_vendor.resolveComponent("hs-radio");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_u_input2 = common_vendor.resolveComponent("u-input");
  const _easycom_u_number_box2 = common_vendor.resolveComponent("u-number-box");
  const _easycom_hs_date_picker2 = common_vendor.resolveComponent("hs-date-picker");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_cell2 + _easycom_hs_input2 + _easycom_hs_radio2 + _easycom_uni_icons2 + _easycom_u_input2 + _easycom_u_number_box2 + _easycom_hs_date_picker2 + _easycom_hs_footer2)();
}
const _easycom_hs_cell = () => "../../../components/hs-cell/hs-cell.js";
const _easycom_hs_input = () => "../../../components/hs-input/hs-input.js";
const _easycom_hs_radio = () => "../../../components/hs-radio/hs-radio.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_u_input = () => "../../../node-modules/uview-plus/components/u-input/u-input.js";
const _easycom_u_number_box = () => "../../../node-modules/uview-plus/components/u-number-box/u-number-box.js";
const _easycom_hs_date_picker = () => "../../../components/hs-date-picker/hs-date-picker.js";
const _easycom_hs_footer = () => "../../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_cell + _easycom_hs_input + _easycom_hs_radio + _easycom_uni_icons + _easycom_u_input + _easycom_u_number_box + _easycom_hs_date_picker + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onShow(() => {
      var _a;
      (_a = ME_release_items_add_method.method) == null ? void 0 : _a.init();
    });
    common_vendor.onUnload(() => {
      ME_release_items_add_model.useModel.formData.value = {
        goods: [
          {
            name: "",
            number: 1,
            remark: ""
          }
        ]
      };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f;
      return {
        a: common_vendor.o((_a = common_vendor.unref(ME_release_items_add_method.method)) == null ? void 0 : _a.handleToSelectHouse),
        b: common_vendor.p({
          title: "房屋信息",
          required: true,
          borderTop: true,
          isLink: true,
          value: (_d = (_c = (_b = common_vendor.unref(ME_release_items_add_model.useModel)) == null ? void 0 : _b.formData) == null ? void 0 : _c.value) == null ? void 0 : _d.full_name
        }),
        c: common_vendor.o(($event) => common_vendor.unref(ME_release_items_add_model.useModel).formData.value.apply_name = $event),
        d: common_vendor.p({
          textAlign: "right",
          valueModel: common_vendor.unref(ME_release_items_add_model.useModel).formData.value.apply_name
        }),
        e: common_vendor.p({
          title: "申请人",
          required: true
        }),
        f: common_vendor.o(($event) => common_vendor.unref(ME_release_items_add_model.useModel).formData.value.apply_phone = $event),
        g: common_vendor.p({
          maxLength: "11",
          type: "number",
          textAlign: "right",
          valueModel: common_vendor.unref(ME_release_items_add_model.useModel).formData.value.apply_phone
        }),
        h: common_vendor.p({
          title: "申请人电话",
          required: true,
          borderTop: true
        }),
        i: common_vendor.o(($event) => common_vendor.unref(ME_release_items_add_model.useModel).formData.value.passed_type = $event),
        j: common_vendor.p({
          Enums: common_vendor.unref(gen_Enums.GoodsReleasesPassedTypeEnum),
          required: true,
          valueModel: common_vendor.unref(ME_release_items_add_model.useModel).formData.value.passed_type
        }),
        k: common_vendor.p({
          title: "通行类型",
          borderTop: true,
          required: true
        }),
        l: common_vendor.p({
          type: "plusempty",
          size: "14",
          color: common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()
        }),
        m: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(ME_release_items_add_method.method)) == null ? void 0 : _a2.handleAddGoods) && ((_b2 = common_vendor.unref(ME_release_items_add_method.method)) == null ? void 0 : _b2.handleAddGoods(...args));
          }
        ),
        n: common_vendor.s(common_vendor.unref(common_libraries_getPageConfig.getStyleColorInfo)()),
        o: common_vendor.f((_f = (_e = common_vendor.unref(ME_release_items_add_model.useModel)) == null ? void 0 : _e.formData) == null ? void 0 : _f.value.goods, (i, index, i0) => {
          return common_vendor.e({
            a: "5274f3d6-8-" + i0,
            b: common_vendor.o(($event) => i.name = $event, `input_${index}`),
            c: common_vendor.p({
              placeholder: "物品名称",
              modelValue: i.name
            }),
            d: "5274f3d6-9-" + i0,
            e: common_vendor.o(($event) => i.number = $event, `input_${index}`),
            f: common_vendor.p({
              modelValue: i.number
            }),
            g: "5274f3d6-10-" + i0,
            h: common_vendor.o(($event) => i.remark = $event, `input_${index}`),
            i: common_vendor.p({
              placeholder: "物品备注",
              valueModel: i.remark
            }),
            j: index > 0
          }, index > 0 ? {
            k: "5274f3d6-11-" + i0,
            l: common_vendor.p({
              type: "trash-filled",
              color: "#999",
              size: "25"
            }),
            m: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(ME_release_items_add_method.method)) == null ? void 0 : _a2.handleDeleteGoods(index);
            }, `input_${index}`)
          } : {}, {
            n: `input_${index}`
          });
        }),
        p: common_vendor.o(($event) => common_vendor.unref(ME_release_items_add_model.useModel).formData.value.passed_time = $event),
        q: common_vendor.p({
          title: "放行日期",
          required: true,
          isLink: true,
          valueModel: common_vendor.unref(ME_release_items_add_model.useModel).formData.value.passed_time
        }),
        r: common_vendor.unref(ME_release_items_add_model.useModel).formData.value.remark,
        s: common_vendor.o(($event) => common_vendor.unref(ME_release_items_add_model.useModel).formData.value.remark = $event.detail.value),
        t: common_vendor.o(common_vendor.unref(ME_release_items_add_method.method).handleSubmit),
        v: common_vendor.p({
          btnParimaryName: "提交申请"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/release_items/add/index.vue"]]);
wx.createPage(MiniProgramPage);
